Loading...
Searching...
No Matches
cigar_from_alignment.hpp File Reference

Provides the function seqan3::cigar_from_alignment and a helper struct seqan3::cigar_clipped_bases. More...

`#include <vector>`
`#include <seqan3/alphabet/cigar/cigar.hpp>`
`#include <seqan3/alphabet/gap/gap.hpp>`
`#include <seqan3/utility/views/zip.hpp>`
Include dependency graph for cigar_from_alignment.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | seqan3::cigar_clipped_bases
| Helper struct to specialise soft and hard clipping when using seqan3::cigar_from_alignment. More...

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.

## Functions

template<typename alignment_type>
auto | seqan3::cigar_from_alignment (alignment_type const &alignment, cigar_clipped_bases const &clipped_bases={}, bool const extended_cigar=false)
| Creates a CIGAR string (SAM format) given a seqan3::detail::pairwise_alignment represented by two seqan3::aligned_sequences.

## Detailed Description

Provides the function seqan3::cigar_from_alignment and a helper struct seqan3::cigar_clipped_bases.

Author
  Svenja Mehringer <svenja.mehringer AT fu-berlin.de>

Hide me